> ## Documentation Index
> Fetch the complete documentation index at: https://seam-feat-mintlify-migration-iteration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Filtering Connect Webviews by Custom Metadata

> When listing Connect Webviews, you can filter by custom metadata.

When you use [List Connect Webviews](/api/connect_webviews/list), you can filter the list by one or more [custom metadata](/core-concepts/connect-webviews/attaching-custom-data-to-the-connect-webview) pairs. Include the `custom_metadata_has` parameter with a JSON string that specifies the desired key:value pairs.

<Tabs>
  <Tab title="JavaScript">
    **Request:**

    ```javascript theme={null}
    const connect_webviews = await seam.connectWebviews.list({
      custom_metadata_has: {
        internal_account_id: 'user-1',
      },
    })

    console.log(connect_webviews)
    ```

    **Response:**

    ```json theme={null}
    [
      {
        connect_webview_id: '3c3f4c15-e7db-47c6-bc5a-1bf206ff269c',
        url: 'https://connect.getseam.com/connect_webviews/view?connect_webview_id=3c3f4c15-e7db-47c6-bc5a-1bf206ff269c&auth_token=LrpMC4MVHAY8YJRcNFeX1nQcb7tGNwpot',
        status: 'pending',
        workspace_id: '398d80b7-3f96-47c2-b85a-6f8ba21d07be',
        custom_metadata: { internal_account_id: 'user-1' },
        ...
      },
      ...
    ]
    ```
  </Tab>

  <Tab title="cURL">
    **Request:**

    ```bash theme={null}
    curl -X 'POST' \
      'https://connect.getseam.com/connect_webviews/list' \
      -H 'accept: application/json' \
      -H 'Authorization: Bearer ${API_KEY}' \
      -H 'Content-Type: application/json' \
      -d '{
      "custom_metadata_has": {
        "internal_account_id": "user-1"
      },
    }'
    ```

    **Response:**

    ```json theme={null}
    {
      "connect_webviews": [
        {
          "connect_webview_id": "3c3f4c15-e7db-47c6-bc5a-1bf206ff269c",
          "url": "https://connect.getseam.com/connect_webviews/view?connect_webview_id=3c3f4c15-e7db-47c6-bc5a-1bf206ff269c&auth_token=LrpMC4MVHAY8YJRcNFeX1nQcb7tGNwpot",
          "status": "pending",
          "workspace_id": "398d80b7-3f96-47c2-b85a-6f8ba21d07be",
          "custom_metadata": {
            "id": "internal_id_1"
          },
          ...
        },
        ...
      ],
      "ok": true
    }
    ```
  </Tab>

  <Tab title="Python">
    **Request:**

    ```python theme={null}
    connect_webviews = seam.connect_webviews.list(
      custom_metadata_has = {
        "internal_account_id": "user-1"
      }
    )

    pprint(connect_webviews)
    ```

    **Response:**

    ```
    [
      ConnectWebview(
        workspace_id='398d80b7-3f96-47c2-b85a-6f8ba21d07be',
        connect_webview_id='3c3f4c15-e7db-47c6-bc5a-1bf206ff269c',
        status='pending',
        url='https://connect.getseam.com/connect_webviews/view?connect_webview_id=xxxx&auth_token=yyyy',
        custom_metadata={"internal_account_id": "user-1"},
        ...
      ),
      ...
    ]
    ```
  </Tab>

  <Tab title="Ruby">
    **Request:**

    ```ruby theme={null}
    connect_webviews = client.connect_webviews.list(
      custom_metadata_has: {
        "internal_account_id": "user-1"
      }
    )

    puts connect_webviews.inspect
    ```

    **Response:**

    ```
    [
      &#x3C;Seam::ConnectWebview:0x00438
        connect_webview_id="3c3f4c15-e7db-47c6-bc5a-1bf206ff269c"
        url="https://connect.getseam.com/connect_webviews/view?connect_webview_id=3c3f4c15-e7db-47c6-bc5a-1bf206ff269c&#x26;auth_token=LrpMC4MVHAY8YJRcNFeX1nQcb7tGNwpot"
        status="pending"
        workspace_id="398d80b7-3f96-47c2-b85a-6f8ba21d07be"
        custom_metadata={"internal_account_id"=>"user-1"}
        ...
      >,
      ...
    ]
    ```
  </Tab>

  <Tab title="PHP">
    **Request:**

    ```php theme={null}
    $webviews = $seam->connect_webviews->list(
      custom_metadata_has: array('internal_account_id' => 'user-1')
    );

    echo json_encode($webviews);
    ```

    **Response:**

    ```json theme={null}
    [
      {
        "connect_webview_id": "3c3f4c15-e7db-47c6-bc5a-1bf206ff269c",
        "url": "https://connect.getseam.com/connect_webviews/view?connect_webview_id=xxxx&auth_token=yyyy",
        "status": "pending",
        "workspace_id": "398d80b7-3f96-47c2-b85a-6f8ba21d07be",
        "custom_metadata": {"internal_account_id": "user-1"},
        ...
      },
      ...
    ]
    ```
  </Tab>

  <Tab title="C#">
    **Request:**

    ```csharp theme={null}
    var customMetadata = new Dictionary<string, string>() {
      {"internal_account_id", "user-1"}
    };

    seam.ConnectWebviews.List(
      customMetadataHas: customMetadata
    );
    ```

    **Response:**

    ```json theme={null}
    {
      "connect_webview_id": "3874d8b4-4bb5-470a-9fc7-a54931a4b933",
      "url": "https://connect.getseam.com/connect_webviews/view?connect_webview_id=3c3f4c15-e7db-47c6-bc5a-1bf206ff269c&auth_token=LrpMC4MVHAY8YJRcNFeX1nQcb7tGNwpot",
      "workspace_id": "398d80b7-3f96-47c2-b85a-6f8ba21d07be",
      "custom_metadata": {
        "internal_account_id": "user-1"
      },
      ...
    }...
    ```
  </Tab>
</Tabs>
